curl "https://api.infinipost.co/v1/posts/post_abc123" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch('https://api.infinipost.co/v1/posts/post_abc123', {
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
});
const data = await response.json();
{
"postId": "post_abc123",
"accountId": "acc_1a2b3c4d5e",
"platform": "tiktok",
"contentType": "video",
"contentUrl": "https://storage.googleapis.com/...",
"thumbnailUrl": "https://storage.googleapis.com/.../thumb.jpg",
"caption": "Check out this amazing content! #viral",
"soundId": "snd_xyz789",
"timezone": "America/New_York",
"scheduledTime": "2024-04-22T16:00:00Z",
"status": "posted",
"error": null,
"postedAt": "2024-04-22T16:00:08Z",
"failedAt": null,
"createdAt": "2024-04-21T20:15:00Z"
}
{
"postId": "post_def456",
"accountId": "acc_1a2b3c4d5e",
"platform": "instagram",
"contentType": "slides",
"contentUrl": [
"https://storage.googleapis.com/.../slide1.jpg",
"https://storage.googleapis.com/.../slide2.jpg",
"https://storage.googleapis.com/.../slide3.jpg"
],
"thumbnailUrl": null,
"caption": "Step by step tutorial 🔥",
"soundId": null,
"timezone": "America/Los_Angeles",
"scheduledTime": "2024-04-22T19:00:00Z",
"status": "posted",
"error": null,
"postedAt": "2024-04-22T19:00:12Z",
"failedAt": null,
"createdAt": "2024-04-21T20:15:00Z"
}
{
"postId": "post_ghi789",
"accountId": "acc_1a2b3c4d5e",
"platform": "tiktok",
"contentType": "video",
"contentUrl": "https://storage.googleapis.com/...",
"thumbnailUrl": null,
"caption": "Check out this! #viral",
"soundId": "snd_xyz789",
"timezone": "America/New_York",
"scheduledTime": "2024-04-22T16:00:00Z",
"status": "failed",
"error": "Sound is not available for use due to copyright or is not available in the account's country or region.",
"postedAt": null,
"failedAt": "2024-04-22T16:02:14Z",
"createdAt": "2024-04-21T20:15:00Z"
}
Posts
Get Post
Retrieve details for a specific scheduled post
GET
/
v1
/
posts
/
{postId}
curl "https://api.infinipost.co/v1/posts/post_abc123" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch('https://api.infinipost.co/v1/posts/post_abc123', {
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
});
const data = await response.json();
{
"postId": "post_abc123",
"accountId": "acc_1a2b3c4d5e",
"platform": "tiktok",
"contentType": "video",
"contentUrl": "https://storage.googleapis.com/...",
"thumbnailUrl": "https://storage.googleapis.com/.../thumb.jpg",
"caption": "Check out this amazing content! #viral",
"soundId": "snd_xyz789",
"timezone": "America/New_York",
"scheduledTime": "2024-04-22T16:00:00Z",
"status": "posted",
"error": null,
"postedAt": "2024-04-22T16:00:08Z",
"failedAt": null,
"createdAt": "2024-04-21T20:15:00Z"
}
{
"postId": "post_def456",
"accountId": "acc_1a2b3c4d5e",
"platform": "instagram",
"contentType": "slides",
"contentUrl": [
"https://storage.googleapis.com/.../slide1.jpg",
"https://storage.googleapis.com/.../slide2.jpg",
"https://storage.googleapis.com/.../slide3.jpg"
],
"thumbnailUrl": null,
"caption": "Step by step tutorial 🔥",
"soundId": null,
"timezone": "America/Los_Angeles",
"scheduledTime": "2024-04-22T19:00:00Z",
"status": "posted",
"error": null,
"postedAt": "2024-04-22T19:00:12Z",
"failedAt": null,
"createdAt": "2024-04-21T20:15:00Z"
}
{
"postId": "post_ghi789",
"accountId": "acc_1a2b3c4d5e",
"platform": "tiktok",
"contentType": "video",
"contentUrl": "https://storage.googleapis.com/...",
"thumbnailUrl": null,
"caption": "Check out this! #viral",
"soundId": "snd_xyz789",
"timezone": "America/New_York",
"scheduledTime": "2024-04-22T16:00:00Z",
"status": "failed",
"error": "Sound is not available for use due to copyright or is not available in the account's country or region.",
"postedAt": null,
"failedAt": "2024-04-22T16:02:14Z",
"createdAt": "2024-04-21T20:15:00Z"
}
Path Parameters
string
required
The unique post identifier.
Response
string
Unique identifier for the post.
string
The account this post is scheduled for.
string
Platform:
tiktok or instagram.string
video or slides.string | array
The content to be posted. When
contentType is video, this is a single URL string. When contentType is slides, this is an array of image URL strings.string
URL of the video thumbnail.
null for slideshow posts or if not yet generated.string
Post caption.
string
ID of the sound attached to this post.
null if no sound.string
IANA timezone the
scheduledTime was submitted in (e.g. America/New_York).string
UTC ISO 8601 timestamp of when the post is scheduled to go live.
string
Current status:
generated, pending_render, posted, or failed. When failed, see the error field for a description of what went wrong.string
Human-readable description of why the post failed. Only present when
status is failed. null otherwise.string
ISO 8601 timestamp of when the post went live.
null if not yet posted.string
ISO 8601 timestamp of when the post failed.
null if the post has not failed.string
ISO 8601 timestamp of when the post was created.
curl "https://api.infinipost.co/v1/posts/post_abc123" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch('https://api.infinipost.co/v1/posts/post_abc123', {
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
});
const data = await response.json();
{
"postId": "post_abc123",
"accountId": "acc_1a2b3c4d5e",
"platform": "tiktok",
"contentType": "video",
"contentUrl": "https://storage.googleapis.com/...",
"thumbnailUrl": "https://storage.googleapis.com/.../thumb.jpg",
"caption": "Check out this amazing content! #viral",
"soundId": "snd_xyz789",
"timezone": "America/New_York",
"scheduledTime": "2024-04-22T16:00:00Z",
"status": "posted",
"error": null,
"postedAt": "2024-04-22T16:00:08Z",
"failedAt": null,
"createdAt": "2024-04-21T20:15:00Z"
}
{
"postId": "post_def456",
"accountId": "acc_1a2b3c4d5e",
"platform": "instagram",
"contentType": "slides",
"contentUrl": [
"https://storage.googleapis.com/.../slide1.jpg",
"https://storage.googleapis.com/.../slide2.jpg",
"https://storage.googleapis.com/.../slide3.jpg"
],
"thumbnailUrl": null,
"caption": "Step by step tutorial 🔥",
"soundId": null,
"timezone": "America/Los_Angeles",
"scheduledTime": "2024-04-22T19:00:00Z",
"status": "posted",
"error": null,
"postedAt": "2024-04-22T19:00:12Z",
"failedAt": null,
"createdAt": "2024-04-21T20:15:00Z"
}
{
"postId": "post_ghi789",
"accountId": "acc_1a2b3c4d5e",
"platform": "tiktok",
"contentType": "video",
"contentUrl": "https://storage.googleapis.com/...",
"thumbnailUrl": null,
"caption": "Check out this! #viral",
"soundId": "snd_xyz789",
"timezone": "America/New_York",
"scheduledTime": "2024-04-22T16:00:00Z",
"status": "failed",
"error": "Sound is not available for use due to copyright or is not available in the account's country or region.",
"postedAt": null,
"failedAt": "2024-04-22T16:02:14Z",
"createdAt": "2024-04-21T20:15:00Z"
}
Error Responses
Unauthorized
{
"error": {
"code": "unauthenticated",
"message": "Invalid or missing API key"
}
}
Post Not Found
{
"error": {
"code": "not_found",
"message": "Post post_abc123 not found"
}
}
Server Error
{
"error": {
"code": "internal",
"message": "An unexpected error occurred"
}
}